Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## grails.transaction
[Java] Annotation Type NotTransactional

    java.lang.Object
      grails.transaction.NotTransactional

    @java.lang.annotation.Target(ElementType.METHOD)
    @java.lang.annotation.Retention(RetentionPolicy.RUNTIME)
    @java.lang.annotation.Inherited
    @java.lang.annotation.Documented
    public @interface NotTransactional

Marks a specific method to be skipped by the

Transactional:
  annotation added at class level

Authors:
  Lari Hotari

Since:
  2.3.3

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Groovy Documentation